name: CI

on: [push]

jobs:
  build:
    runs-on: ubuntu-latest

    steps:
    - name: Checkout
      uses: actions/checkout@v4
      with:
        fetch-depth: 0 # all history for all branches and tags

    - uses: actions/setup-go@v5
      with:
        go-version-file: go.mod
        check-latest: true

    - name: Building
      run: go build .

    - name: Testing
      run: go test ./...
